Part: Conul

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Part Cone and the translation is 4% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский • ‎中文(中国大陆)‎
Arrow-left.svg Previous: Part Sphere.svg Sphere
Next: Torus Part Torus.svg Arrow-right.svg

Part Cone.svg Part Cone

poziția meniului
Part -> Cone
Ateliere
Part, Complete
scurtătură
nici unul
Prezentat în versiune
-
A se vedea, de asemenea,
Part CreatePrimitives

Description

Descriere

Un con parametric trunchiat este un element tip primitivă geometrică disponibil pe bara de instrumente Part sau în meniu (submeniul primitives) se deschide o casetă de dialog Create Primitives .

The default Part Cone is truncated. It can be turned into a full, untruncated, cone by changing its DateRadius1 or DateRadius2 property to zero. It can be turned into a segment of a cone by changing its DateAngle property.

Part Cone Example.png

Usage

Cum se folosește

În atelierul Part click pe iconița Part Cone.png.

Example

Part Cone from the scripting example

A Part Cone object created with the scripting example below is shown here.

Notes

  • A Part Cone can also be created with the Part Primitives.svg Part Primitives command. With that command you can specify the dimensions and placement at creation time.

Primitive Geometriche

PartConePrimitivesOptions it.png

Cono

Parametri

  • raggio 1,
  • raggio 2,
  • altezza,
  • angolo

Posizione

Espandere la voce Posizione per stabilire:

  • punto di posizionamento nella vista 3D,
  • direzione dell'asse del cono, x, y, z o definita dall'utente.

Anche le dimensioni e il posizionamento del cono prodotto utilizzando le opzioni di creazione sono modificabili tramite la scheda delle proprietà.

Opțiuni

PartConeProperty en.png

Cone

  • Radius 1 - raza cercului sau arcului de cer definit de fațeta inferioară
  • Radius 2 - raza cercului sau arcului de cerc definită de fațeta suprioară
  • Height - înălțimea Part Cone
  • Angle - numărul de grade ale arcului sau cercurilor care definesc fațeta superioară și pe cea inferioară ale conului trunchiat. Implicit 360 crează fațete circulare, o valoare mai mică va crea o porțiune a unui con, așa cum este definită de fețele superioare și inferioare, fiecare cu marginile definite de un arc cu numărul de grade și două raze.

See also: Property editor.

A Part Cone object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Cone

  • DateRadius1 (Length): The radius of the bottom face of the cone. Can be 0mm if DateRadius2 is larger than 0mm. The default is 2mm.
  • DateRadius2 (Length): The radius of the top face of the cone. Can be 0mm if DateRadius1 is larger than 0mm. The default is 4mm.
  • DateHeight (Length): The height of the cone. The default is 10mm.
  • DateAngle (Angle): The angle of the circular arc that defines the top and bottom face of the cone. Valid range: 0° < value <= 360°. The default is 360°. If it is smaller than 360° the resulting solid will be a segment of a cone.

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Cone can be created with the addObject() method of the document:

cone = FreeCAD.ActiveDocument.addObject("Part::Cone", "myCone")
  • Where "myCone" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

cone = doc.addObject("Part::Cone", "myCone")
cone.Radius1 = 5
cone.Radius2 = 10
cone.Height = 50
cone.Angle = 270
cone.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(30, 60, 15))

doc.recompute()


Arrow-left.svg Previous: Part Sphere.svg Sphere
Next: Torus Part Torus.svg Arrow-right.svg